gsasl_property_get(3)

NAME
gsasl_property_get - API function

SYNOPSIS
#include <gsasl.h>

const char * gsasl_property_get(Gsasl_session * sctx, Gsasl_property prop);

ARGUMENTS

Gsasl_session * sctx
    session handle.

Gsasl_property prop
    enumerated value of Gsasl_property type, indicating the type of data in data.

DESCRIPTION
Retrieve the data stored in the session handle for given property prop, possibly invoking the application callback to get the value.

The pointer is to live data, and must not be deallocated or modified in any way.

This function will invoke the application callback, using gsasl_callback(), when a property value is not known.

If no value is known, and no callback is specified or if the callback fail to return data, and if any obsolete callback functions has been set by the application, this function will try to call these obsolete callbacks, and store the returned data as the corresponding property. This behaviour of this function will be removed when the obsolete callback interfaces are removed.

RETURN VALUE
Return data for property, or NULL if no value known.

SINCE
0.2.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.